#!/bin/bash

  FRAMECOLOR=$(./random_line.sh /usr/X11R6/lib/X11/rgb.txt | cut -f 3- | sed 's/[ \t]*//g')
  BEVELWIDTH1=$(($RANDOM % 10))
  BEVELWIDTH2=$(($RANDOM % 10))
  
  CONVERTSTRING="$1 -mattecolor ""$FRAMECOLOR"
  CONVERTSTRING="$CONVERTSTRING"" -frame "$(($RANDOM % 15 + $BEVELWIDTH1 + $BEVELWIDTH2))
  CONVERTSTRING="$CONVERTSTRING""x"$(($RANDOM % 15 + $BEVELWIDTH1 + $BEVELWIDTH2))
  CONVERTSTRING="$CONVERTSTRING""+"$BEVELWIDTH1"+"$BEVELWIDTH2" "$1

  convert $CONVERTSTRING

exit 0
